Bug 8965 - How does linuxconf stores string values ?
Summary: How does linuxconf stores string values ?
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-29 20:06 UTC by prabirm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 01:23:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description prabirm 2000-01-29 20:06:36 UTC
I wanted to stop bringing up the "eth0" interface during
startup. So I used linuxconf and it essentially updated
the file "/etc/sysconfig/network-scripts/ifcfg-eth0".

Now the interesting thing is, all the parameters are now
inside quoted string, which was the default case. For
example:
before using linuxconf
----------------------
DEVICE=eth0

after using linuxconf
---------------------
DEVICE="eth0"

Of course this is not a problem as long as shell scripts
can read the config file correctly. But the situation
will be different if a C of Java program wants to read the
values as strings. Is it not a potential problem ?

Regards,
Prabir

Comment 1 Nalin Dahyabhai 2000-02-05 01:23:59 UTC
These are shell-style configuration files, meant to be sourced by other shell
scripts.  This means that spaces, punctuation marks, and other oddities need to
be quoted.  A tool that tries to read these files but doesn't properly parse
shell quotes (ugly as they are) is therefore buggy.


Note You need to log in before you can comment on or make changes to this bug.